Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 285043 - net-wireless/gnome-bluetooth-2.28.{1,3}: needs obexd, not obex-data-server
Summary: net-wireless/gnome-bluetooth-2.28.{1,3}: needs obexd, not obex-data-server
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High major with 1 vote (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gnome2.28
  Show dependency tree
 
Reported: 2009-09-15 03:02 UTC by Kenneth Prugh (RETIRED)
Modified: 2010-02-17 18:30 UTC (History)
13 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
~/.xsession-errors (xsession-errors,7.05 KB, text/plain)
2009-09-23 04:45 UTC, Kenneth Prugh (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Prugh (RETIRED) gentoo-dev 2009-09-15 03:02:12 UTC
Trying to send a file via gnome's bluetooth applet results in this message:

"The name org.openobex.client was not provided by any .service file"

and the file is not transferred.

I have the following installed:

net-wireless/gnome-bluetooth-2.27.90
net-wireless/bluez-4.39-r1
app-mobilephone/obex-data-server-0.4.4
app-mobilephone/obexftp-0.23-r1
dev-libs/openobex-1.5
Comment 1 Gilles Dartiguelongue gentoo-dev 2009-09-22 06:24:13 UTC
please provide emerge --info and emerge -pv gvfs.
Is consolekit enabled and/or in your default runlevel ?
Could you also attach ~/.xsession-errors ?
Comment 2 Kenneth Prugh (RETIRED) gentoo-dev 2009-09-23 04:44:44 UTC
Portage 2.2_rc41 (default/linux/amd64/2008.0, gcc-4.3.3, glibc-2.10.1-r0, 2.6.31-gentoo x86_64)
=================================================================
System uname: Linux-2.6.31-gentoo-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9300_@_2.50GHz-with-gentoo-2.0.1
Timestamp of tree: Tue, 22 Sep 2009 23:30:20 +0000
app-shells/bash:     4.0_p33
dev-java/java-config: 2.1.9-r1
dev-lang/python:     2.5.4-r3, 2.6.2-r2, 3.1.1-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/cmake:      2.6.4-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    2.1
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-Os -march=core2 -pipe -msse4.1"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/shorewall/"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-Os -march=core2 -pipe -msse4.1"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests collision-protect cvs distlocks fixpackages multilib-strict parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.osuosl.org/ ftp://distro.ibiblio.org/pub/linux/distributions/gentoo/ http://distro.ibiblio.org/pub/linux/distributions/gentoo/ "
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/bazaar /home/ken/x11 /home/ken/workspace/sunrise/sunrise"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 automount avahi bash-completion berkdb bitmap-fonts bluetooth bzip2 cairo cdr cli cracklib crypt cups curl dbus divx4linux dri dv dvd dvdread dvi encode fame ffmpeg flac fortran gdbm gif git glitz gnome gnome-keyring gnutls gpm gstreamer gtk hal hg iconv imap isdnlog jpeg kdeenablefinal laptop libnotify mad mdnsresponder-compat mercurial mmx modules mp3 mpeg mplayer mtp mudflap multilib nautilus ncurses networkmanager nls nptl nptlonly ogg opengl openmp pam pcre perl png pppd python qt3support qt4 quicktime readline reflection session spell spl sqlite sse sse2 ssl ssse3 subtitles svg symlink sysfs tcpd theora tiff truetype truetype-fonts type1-fonts unicode usb vim vim-syntax vorbis x264 xft xml xorg xulrunner xvid zlib zsh-completion" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="intel"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



[ebuild   R   ] gnome-base/gvfs-1.2.3  USE="avahi bash-completion bluetooth gnome gnome-keyring hal -archive -cdda -debug -doc -fuse -gphoto2 -samba" 0 kB

consolekit is not running. 
Comment 3 Kenneth Prugh (RETIRED) gentoo-dev 2009-09-23 04:45:26 UTC
Created attachment 204993 [details]
~/.xsession-errors
Comment 4 Roald 2009-09-23 13:22:09 UTC
I can confirm this bug.
I have the following relevant packages:

net-wireless/bluez-4.39-r2
dev-libs/openobex-1.5
app-mobilephone/obex-data-server-0.4.4
net-wireless/gnome-bluetooth-2.27.90


When running bluetooth-applet in a terminal, I'm getting the same warning as Kenneth (it's also included in my .xsession-erros below):
** (bluetooth-applet:12716): WARNING **: Could not open RFKILL control device, please verify your installation

My kernelconfig has both RFKILL and RFKILL_INPUT enabled.


More info:


emerge --info:
Portage 2.1.6.13 (default/linux/amd64/2008.0, gcc-4.4.1, glibc-2.10.1-r0, 2.6.31 x86_64)
=================================================================
System uname: Linux-2.6.31-x86_64-Intel-R-_Core-TM-2_Duo_CPU_P8700_@_2.53GHz-with-gentoo-2.0.1
Timestamp of tree: Tue, 22 Sep 2009 08:15:01 +0000
app-shells/bash:     4.0_p33
dev-java/java-config: 2.1.9-r1
dev-lang/python:     2.6.2-r1, 3.1.1
dev-util/cmake:      2.6.4-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    2.1
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="distlocks fixpackages parallel-fetch protect-owned sandbox sfperms splitdebug strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://gentoo.tiscali.nl/pub/mirror/gentoo     http://distfiles.gentoo.org"
LANG="C"
LDFLAGS="-Wl,-O1"
LINGUAS="en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X aac acl acpi alsa amd64 bash-completion bluetooth bzip2 cairo cli cracklib crypt dbus dri dvd encode esd ffmpeg flac fontconfig fortran fuse gdbm gif glitz gnome gpm gstreamer gtk gtk2 h264 hal iconv imlib isdnlog java jpeg jpeg2k laptop ldap libnotify lm_sensors lzma mad midi mmx mmxext modules mp3 mpeg msn mudflap multilib nautilus ncurses nptl nptlonly offensive ogg opengl openmp pcre pdf perl png pnp pppd python quicktime readline reflection samba sdl session smp spl sse sse2 sse3 ssl ssse3 startup-notification svg sysfs syslog tcpd theora threads tiff timidity truetype unicode vorbis x264 xcb xinerama xml xorg xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="nvidia vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS







emerge -pv gvfs:
[ebuild   R   ] gnome-base/gvfs-1.2.3  USE="bash-completion bluetooth fuse gnome hal samba -archive -avahi -cdda -debug -doc -gnome-keyring -gphoto2" 0 kB







xsession-errors:
/etc/X11/gdm/Xsession: Beginning session setup...
which: no keychain in (/usr/local/bin:/usr/bin:/bin:/opt/bin:/usr/x86_64-pc-linux-gnu/gcc-bin/4.4.1)
/etc/X11/gdm/Xsession: Setup done, will execute: /usr/bin/ssh-agent -- gnome-session
GNOME_KEYRING_SOCKET=/tmp/keyring-jXvx5G/socket
SSH_AUTH_SOCK=/tmp/keyring-jXvx5G/socket.ssh
GNOME_KEYRING_PID=6753

(gnome-settings-daemon:6754): GLib-GObject-CRITICAL **: g_param_spec_flags: assertion `G_TYPE_IS_FLAGS (flags_type)' failed

(gnome-settings-daemon:6754): GLib-GObject-CRITICAL **: g_object_class_install_property: assertion `G_IS_PARAM_SPEC (pspec)' failed
gnome-session[6719]: WARNING: Could not launch application '108ad76d97d31159b125371432853469600000021740014.desktop': Unable to start application: Failed to execute child process "music-applet" (No such file or directory)
Unable to open desktop file epiphany.desktop for panel launcher
Unable to open desktop file evolution.desktop for panel launcher
tput: No value for $TERM and no -T specified
tput: No value for $TERM and no -T specified
tput: No value for $TERM and no -T specified

** (bluetooth-applet:6784): WARNING **: Could not open RFKILL control device, please verify your installation
Initializing nautilus-open-terminal extension
** Message: Initializing gksu extension...
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x1200045 (Mozilla Fi)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp;
Comment 5 Gilles Dartiguelongue gentoo-dev 2009-09-23 20:21:00 UTC
Found these links:

http://bbs.archlinux.org/viewtopic.php?id=44791
http://bugs.archlinux.org/task/9755

but for some reason, even when I have obex-data-server, it still doesn't work.
Comment 6 Thorsten Vollmer 2009-10-05 21:04:59 UTC
(In reply to comment #5)
> even when I have obex-data-server, it still doesn't work.

>=net-wireless/gnome-bluetooth-2.27.6 requires obexd instead of obex-data-server.

An ebuild for app-mobilephone/obexd has been available in dev-zero's overlay for some time now. The current version is 0.18.
Comment 7 Burak 2009-10-12 04:04:36 UTC
I can confirm this bug too.


emerge --info
Portage 2.1.7 (default/linux/amd64/2008.0, gcc-4.4.1, glibc-2.10.1-r0, 2.6.30-gentoo-r2 x86_64)
=================================================================
System uname: Linux-2.6.30-gentoo-r2-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9300_@_2.50GHz-with-gentoo-2.0.1
Timestamp of tree: Mon, 12 Oct 2009 00:45:02 +0000
app-shells/bash:     4.0_p33
dev-java/java-config: 2.1.9-r1
dev-lang/python:     2.4.4-r15, 2.6.3, 3.1.1-r1
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.5.1
sys-apps/sandbox:    2.1
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -msse3 -mfpmath=sse -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=nocona -msse3 -mfpmath=sse -O2 -pipe -fomit-frame-pointer "
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distro.ibiblio.org/pub/linux/distributions/gentoo/ http://osmirrors.cerias.purdue.edu/pub/gentoo/ http://gentoo.osuosl.org/"
LANG="C"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_US tr tr_TR"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/sunrise"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="X a52 aac acl alsa amd64 amr autoipd avahi berkdb bitmap bitmap-fonts bluetooth bzip2 cdr cjk cli consolekit cracklib crypt cups daap dbus dell divx divx4linux dns dri dvd dvdr dvdread encode exif ffmpeg flac fltk fortran gb gdbm gif glitz gmedia gnome gpm gstreamer gtk h323 hal hddtemp iconv id3tag imlib isdnlog ithreads jpeg jpeg2k kpathsea laptop latex ldap mad matroska mikmod mime mmap mmx mng modules mp2 mp3 mpeg mudflap multilib nautilus ncurses nls nptl nptlonly nsplugin nvidia ogg opengl openmp pam pcre perl pipechan plotutils png posix postscript pppd pulseaudio python quickime quicktime readline realmedia reflection samba session sip smb sockets spl sqlite sse sse2 ssl subversion svg sysfs tagwriting tcl tcpd theora threads tiff tk truetype truetype-fonts type1-fonts unicode usb vcd vorbis wav wifi wmf wmp x264 xanim xcb xorg xpm xvid xvmc zlib" ALSA_CARDS="hda_intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US tr tr_TR" USERLAND="GNU" VIDEO_CARDS="nvidia" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 8 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-10-12 04:37:35 UTC
(In reply to comment #6)
> (In reply to comment #5)
> > even when I have obex-data-server, it still doesn't work.
> 
> >=net-wireless/gnome-bluetooth-2.27.6 requires obexd instead of obex-data-server.
> 

What makes you say that? I've been using gnome-bluetooth-2.28.0 with obex-data-server perfectly fine.
Comment 9 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-10-12 04:58:30 UTC
(In reply to comment #8)
> (In reply to comment #6)
> > >=net-wireless/gnome-bluetooth-2.27.6 requires obexd instead of obex-data-server.
> 
> What makes you say that? I've been using gnome-bluetooth-2.28.0 with
> obex-data-server perfectly fine.
> 

Sorry about that, indeed sendto uses obexd now. I thought this bug was about pairing+browsing files (which uses gvfs).
Comment 10 Mike Auty (RETIRED) gentoo-dev 2009-10-26 00:50:13 UTC
This also applies to gnome-bluetooth-2.28.3.  Any downsides to someone just changing the deps?

Requiring obex-data-server, obexd will get automatically uninstalled by recent versions of portage, since they block each other.  So at the moment, 2.28.3's (non-gvfs) file transfers are guaranteed to fail by default...
Comment 11 Tommaso Pasini 2009-11-11 09:35:26 UTC
I'm using gnome-bluetooth-2.28.3, I tried both obex-data-server-0.4.4 and obexd-0.18 (I took the ebuild from dev-zero overlay, and modified gnome-bluetooth in my local overlay).

The result is, both backends made me send successfully a file from the laptop to the phone (I don't know if having dbus-1.3.0 counts), but sending from the phone failed in both cases.

~/.xsession-errors doesn't show any particular error, this is the output of hcidump:

HCI sniffer - Bluetooth packet analyzer ver 1.42
device: hci0 snap_len: 1028 filter: 0xffffffff
> HCI Event: Connect Request (0x04) plen 10
< HCI Command: Accept Connection Request (0x01|0x0009) plen 7
> HCI Event: Command Status (0x0f) plen 4
> HCI Event: Role Change (0x12) plen 8
> HCI Event: Connect Complete (0x03) plen 11
< HCI Command: Read Remote Supported Features (0x01|0x001b) plen 2
> HCI Event: Page Scan Repetition Mode Change (0x20) plen 7
> HCI Event: Command Status (0x0f) plen 4
> ACL data: handle 42 flags 0x02 dlen 12
    L2CAP(s): Connect req: psm 1 scid 0x0040
< ACL data: handle 42 flags 0x02 dlen 16
    L2CAP(s): Connect rsp: dcid 0x0040 scid 0x0040 result 1 status 0
      Connection pending - No futher information available
< ACL data: handle 42 flags 0x02 dlen 10
    L2CAP(s): Info req: type 2
> HCI Event: Number of Completed Packets (0x13) plen 5
> HCI Event: Number of Completed Packets (0x13) plen 5
> HCI Event: Max Slots Change (0x1b) plen 3
> ACL data: handle 42 flags 0x02 dlen 16
    L2CAP(s): Info rsp: type 2 result 0
      Extended feature mask 0x0003
< ACL data: handle 42 flags 0x02 dlen 16
    L2CAP(s): Connect rsp: dcid 0x0040 scid 0x0040 result 0 status 0
      Connection successful
> HCI Event: Number of Completed Packets (0x13) plen 5
> HCI Event: Command Status (0x0f) plen 4
< HCI Command: Remote Name Request (0x01|0x0019) plen 10
> ACL data: handle 42 flags 0x02 dlen 10
    L2CAP(s): Info req: type 2
< ACL data: handle 42 flags 0x02 dlen 16
    L2CAP(s): Info rsp: type 2 result 0
      Extended feature mask 0x0080
> HCI Event: Number of Completed Packets (0x13) plen 5
> HCI Event: Read Remote Supported Features (0x0b) plen 11
> HCI Event: Command Status (0x0f) plen 4
> HCI Event: Remote Name Req Complete (0x07) plen 255
> ACL data: handle 42 flags 0x02 dlen 16
    L2CAP(s): Config req: dcid 0x0040 flags 0x00 clen 4
      MTU 65535 
< ACL data: handle 42 flags 0x02 dlen 18
    L2CAP(s): Config rsp: scid 0x0040 flags 0x00 result 0 clen 4
      MTU 65535 
< ACL data: handle 42 flags 0x02 dlen 12
    L2CAP(s): Config req: dcid 0x0040 flags 0x00 clen 0
> HCI Event: Number of Completed Packets (0x13) plen 5
> HCI Event: Number of Completed Packets (0x13) plen 5
> ACL data: handle 42 flags 0x02 dlen 18
    L2CAP(s): Config rsp: scid 0x0040 flags 0x00 result 0 clen 4
      MTU 672 
> ACL data: handle 42 flags 0x02 dlen 17
    L2CAP(d): cid 0x0040 len 13 [psm 1]
        SDP SS Req: tid 0x1 len 0x8
          pat uuid-16 0x111b (ImagingResp)
          max 65535
          cont 00
< ACL data: handle 42 flags 0x02 dlen 14
    L2CAP(d): cid 0x0040 len 10 [psm 1]
        SDP SS Rsp: tid 0x1 len 0x5
          count 0
          cont 00
> HCI Event: Number of Completed Packets (0x13) plen 5
> ACL data: handle 42 flags 0x02 dlen 17
    L2CAP(d): cid 0x0040 len 13 [psm 1]
        SDP SS Req: tid 0x2 len 0x8
          pat uuid-16 0x1105 (OBEXObjPush)
          max 65535
          cont 00
< ACL data: handle 42 flags 0x02 dlen 14
    L2CAP(d): cid 0x0040 len 10 [psm 1]
        SDP SS Rsp: tid 0x2 len 0x5
          count 0
          cont 00
> HCI Event: Number of Completed Packets (0x13) plen 5
> ACL data: handle 42 flags 0x02 dlen 12
    L2CAP(s): Disconn req: dcid 0x0040 scid 0x0040
< ACL data: handle 42 flags 0x02 dlen 12
    L2CAP(s): Disconn rsp: dcid 0x0040 scid 0x0040
> HCI Event: Number of Completed Packets (0x13) plen 5
< HCI Command: Disconnect (0x01|0x0006) plen 3
> HCI Event: Command Status (0x0f) plen 4
> HCI Event: Disconn Complete (0x05) plen 4

Is there any other information I can give to help solving this issue?
Comment 12 Tiziano Müller (RETIRED) gentoo-dev 2009-11-16 10:14:34 UTC
obexd is in the tree.
Comment 13 Gilles Dartiguelongue gentoo-dev 2009-11-16 22:27:25 UTC
made the dep || ( obexd obex-data-server ). Closing fixed, thanks for reporting.
Comment 14 Mike Auty (RETIRED) gentoo-dev 2009-11-16 22:57:47 UTC
I don't think obex-data-server actually offers the right interface?  I think gnome-bluetooth actually depends on obexd and will fail to carry out certain functions if you use obex-data-server (at least 0.4.4).  It offers a dbus entity with the same name, but a different interface so sending files can fail.  This is demonstrated in the original report where the user has obex-data-server-0.4.4 installed, but gnome-bluetooth fails to work properly...

I can fix it tomorrow if I find time (assuming that doesn't cause any problems), but I'm going to reopen this now so we don't forget about it...
Comment 15 Mike Auty (RETIRED) gentoo-dev 2009-11-17 12:58:21 UTC
Ok, I've personally retested this and neither obex-data-server-0.4.4 nor obex-data-server-0.4.5 provide any of the functionality needed for sending files via obex that gnome-bluetooth relies on.

It does not feature the org.openobex.client name, and therefore can't be used for sending.  Tommaso, can you please check that you were using the "send files" functionality, rather than browsing and then transferring files (which uses gvfs's obex backend).  I can also confirm that neither backend allows another device to transmit files to the machine.

Unfortunately, I can't set the dependency to be just obexd because of issues with ~hppa and ~sparc (RDEPEND.bad), but including obex-data-server is definitely wrong, so I'm going to leave this open...
Comment 16 Tommaso Pasini 2009-11-17 13:40:03 UTC
I was using the "send to" through nautilus, but I'm unable to reproduce that behaviour, now I get "The name org.obenobex.client was not provided by any .service files" everytime. Maybe I got confused last time and I was using obexd instead of obex-data-server, I really don't know.
Comment 17 Federico Ferri (RETIRED) gentoo-dev 2009-11-20 09:44:05 UTC
for me installing obexd didn't work.

yes, it solved the initial issue, as I don't get the "The name org.openobex.client was not provided by any .service file" message anymore.

but instead I get this error now, when trying to send a file: "Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the timeout expired, or the network connection was broken." (org.freedesktop.DBus.Error.NoReply)

searching on the net, I can find users having this error in different contexts, but I didn't figure a solution for it
Comment 18 Mike Auty (RETIRED) gentoo-dev 2009-11-20 10:01:11 UTC
Well, obexd not succeeding doesn't suggest that obex-data-server is valid, so it still needs removing from the dependencies.

As to the new issue you found (which we should probably discuss in a different bug, please CC me if you start one), can you tell whether a connection attempt is made (does your phone or other device indicate that it's being talked to in some way)?  The error message you received unfortunately can mean one of many things, including that the bluetooth device you were attempting to send to couldn't be found.  I've discovered that my phone tends to work from approximately 10cm away, and it needs to be in direct line of sight of my bluetooth adaptor

I have had successful transfers though, so please try a few times and see if it succeeds.  I'm not sure why it should be so unreliable, and it may still be that the software is involved, but I have managed to send files using obexd.
Comment 19 Tommaso Pasini 2009-11-20 10:48:37 UTC
(In reply to comment #17)
> but instead I get this error now, when trying to send a file: "Did not receive
> a reply. Possible causes include: the remote application did not send a reply,
> the message bus security policy blocked the reply, the timeout expired, or the
> network connection was broken." (org.freedesktop.DBus.Error.NoReply)

I had this error too, but retrying succeeded.
Comment 20 Pacho Ramos gentoo-dev 2009-11-20 11:15:08 UTC
How did you got send problem with obexd? From gnome-bluetooth applet or from nautilus-sendto?
Comment 21 Tommaso Pasini 2009-11-20 11:18:28 UTC
Nautilus-sendto. The first time the transfer fails, I try again and it succeeds.
Comment 22 Pacho Ramos gentoo-dev 2009-11-28 18:00:55 UTC
Isn't original bug fixed then? For the remaining problems, I think that a new bug report should be opened
Comment 23 Mike Auty (RETIRED) gentoo-dev 2009-11-28 23:10:24 UTC
The original problem was to remove obexd as a dependency of the ebuilds, and that hasn't been done yet (because of some keyword issues with hppa and sparc), so this should probably stay open until that's been solved...
Comment 24 Pacho Ramos gentoo-dev 2009-11-29 12:56:51 UTC
Ups, thanks, I misunderstood the problem, sorry
Comment 25 Nirbheek Chauhan (RETIRED) gentoo-dev 2009-12-27 02:56:59 UTC
(In reply to comment #17)
> but instead I get this error now, when trying to send a file: "Did not receive
> a reply. Possible causes include: the remote application did not send a reply,
> the message bus security policy blocked the reply, the timeout expired, or the
> network connection was broken." (org.freedesktop.DBus.Error.NoReply)
> 

This is fixed with 2.28.6, also 2.28.6 now depends only on obexd. New bug will be opened for tracking the dropped hppa and ppc keywords.

Thanks for reporting
Comment 26 Leho Kraav (:macmaN @lkraav) 2010-02-17 18:30:48 UTC
what about bug 302727?